@import '../../styles/colors.scss';

.header {
  position: fixed;
  width: 100%;
  height: 60px;
  border-bottom: 1px solid hsla(0, 0%, 62.7%, 0.3);
  line-height: 60px;
  z-index: 10;

  .container {
    @media screen and (min-width: 960px) {
      padding-left: 80px;
    }

    div:global(.MuiTabs-flexContainer) {
      justify-content: flex-end;

      :global(.MuiTab-root) {
        min-width: 8em;

        &:global(.Mui-selected) {
          font-weight: bold;
          color: #070717;
        }

        &:hover {
          font-weight: bold;
        }

        &:first-child {
          display: none;
        }
      }
    }
  }
}

.main {
  padding: 60px 0 0;

  .container {
    margin-top: 0;
    min-height: calc(100vh - 60px);
    @media screen and (min-width: 960px) {
      padding: 80px;
    }

    .page {
      border: 1px solid hsla(0, 0%, 62.7%, 0.3);
      border-radius: 4px;
      background-color: #ffffff;

      .title {
        margin: 2em 0;
        text-align: center;

        @media screen and (min-width: 960px) {
          margin: unset;
        }
      }

      .divider {
        margin-bottom: 3em;
      }

      & > div {
        display: flex;
        flex-direction: column;
        padding: 1em 1em 2em;
        height: 100%;

        & > div:last-child {
          flex-grow: 1;
        }
      }
    }
  }
}

.footer {
  padding: 1em 0;
  width: 100%;
  background-color: #ffffff;
  text-align: center;
  border-top: 1px solid rgba(0, 0, 0, 0.12);

  ul {
    list-style: none;

    li {
      display: inline;
      padding: 0 0.8em;
      border-right: 1px solid #b3b3b3;

      &:last-child {
        border-right-width: 0;
      }
    }
  }
}

.background {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  background-color: #f4f4f4 !important;
}

.backdrop {
  &.MuiBackdrop-root {
    z-index: 5000;
    .MuiCircularProgress-root {
      .MuiCircularProgress-svg {
        color: #ffffff;
      }
    }
  }
}
